> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create VLAN

> Creates a new Virtual Network.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples post /virtual_networks
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /virtual_networks:
    post:
      tags:
        - Private Networks
      summary: Create VLAN
      description: |
        Creates a new Virtual Network.
      operationId: create-virtual-network
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - virtual_network
                    attributes:
                      type: object
                      properties:
                        description:
                          type: string
                        site:
                          type: string
                          description: Site ID or slug
                          enum:
                            - ASH
                            - BUE
                            - CHI
                            - DAL
                            - FRA
                            - LAX
                            - LON
                            - MEX
                            - MEX2
                            - MIA
                            - MIA2
                            - NYC
                            - SAO
                            - SAO2
                            - SGP
                            - SYD
                            - TYO
                            - TYO2
                        project:
                          type: string
                          description: Project ID or slug
                      required:
                        - description
                        - location
                        - project
                  required:
                    - id
                    - type
                    - attributes
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: virtual_networks
                    attributes:
                      description: São Paulo VLAN
                      site: MIA
                      project: ergonomic-steel-bag
          application/vnd.api+json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    type:
                      type: string
                      enum:
                        - virtual_network
                    attributes:
                      type: object
                      properties:
                        description:
                          type: string
                        site:
                          type: string
                          description: Site ID or slug
                          enum:
                            - ASH
                            - BUE
                            - CHI
                            - DAL
                            - FRA
                            - LAX
                            - LON
                            - MEX
                            - MEX2
                            - MIA
                            - MIA2
                            - NYC
                            - SAO
                            - SAO2
                            - SGP
                            - SYD
                            - TYO
                            - TYO2
                        project:
                          type: string
                          description: Project ID or slug
                      required:
                        - description
                        - location
                        - project
                  required:
                    - id
                    - type
                    - attributes
              required:
                - data
            examples:
              Created:
                summary: Created
                value:
                  data:
                    type: virtual_networks
                    attributes:
                      description: São Paulo VLAN
                      site: MIA
                      project: ergonomic-steel-bag
        required: true
      responses:
        '201':
          description: Created
          content:
            application/vnd.api+json:
              examples:
                Created:
                  value:
                    data:
                      id: vlan_3YjJOLQjdvZ87
                      type: virtual_networks
                      attributes:
                        tags: []
                        vid: 2000
                        name: MIA-2000
                        description: São Paulo VLAN
                        site: MIA
                        created_at: '2026-01-14T15:57:17+00:00'
                    meta: {}
              schema:
                $ref: '#/components/schemas/virtual_network'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: python
          label: Python (SDK)
          source: |-
            import latitudesh_python_sdk
            from latitudesh_python_sdk import Latitudesh
            import os


            with Latitudesh(
                bearer=os.getenv("LATITUDESH_BEARER", ""),
            ) as latitudesh:

                res = latitudesh.private_networks.create(data={
                    "type": latitudesh_python_sdk.CreateVirtualNetworkPrivateNetworksType.VIRTUAL_NETWORK,
                    "attributes": {
                        "description": "São Paulo VLAN",
                        "site": latitudesh_python_sdk.CreateVirtualNetworkPrivateNetworksSite.MIA,
                        "project": "ergonomic-steel-bag",
                    },
                })

                # Handle response
                print(res)
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"github.com/latitudesh/latitudesh-go-sdk/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.PrivateNetworks.Create(ctx, operations.CreateVirtualNetworkPrivateNetworksRequestBody{\n        Data: operations.CreateVirtualNetworkPrivateNetworksData{\n            Type: operations.CreateVirtualNetworkPrivateNetworksTypeVirtualNetwork,\n            Attributes: operations.CreateVirtualNetworkPrivateNetworksAttributes{\n                Description: \"São Paulo VLAN\",\n                Site: operations.CreateVirtualNetworkPrivateNetworksSiteMia.ToPointer(),\n                Project: \"ergonomic-steel-bag\",\n            },\n        },\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.VirtualNetwork != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: |-
            import { Latitudesh } from "latitudesh-typescript-sdk";

            const latitudesh = new Latitudesh({
              bearer: process.env["LATITUDESH_BEARER"] ?? "",
            });

            async function run() {
              const result = await latitudesh.privateNetworks.create({
                data: {
                  type: "virtual_network",
                  attributes: {
                    description: "São Paulo VLAN",
                    site: "MIA",
                    project: "ergonomic-steel-bag",
                  },
                },
              });

              console.log(result);
            }

            run();
components:
  schemas:
    virtual_network:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/virtual_network_data'
        meta:
          type: object
    virtual_network_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - virtual_networks
        attributes:
          type: object
          properties:
            vid:
              type: integer
              description: vlan ID of the virtual network
            name:
              type: string
              description: Name of the virtual network
            description:
              type: string
              description: Description of the virtual network
            project:
              $ref: '#/components/schemas/project_include'
            region:
              type: object
              properties:
                city:
                  type: string
                country:
                  type: string
                site:
                  type: object
                  properties:
                    id:
                      type: string
                    facility:
                      type: string
                    name:
                      type: string
                    slug:
                      type: string
            created_at:
              type: string
              format: date-time
              nullable: true
            assignments_count:
              type: integer
              description: Amount of devices assigned to the virtual network
            tags:
              type: array
              description: Tags associated with the virtual network
              items:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  color:
                    type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````